<?php
// Verifica si estamos en un entorno local o en un dominio
if ($_SERVER['SERVER_NAME'] == 'localhost' || $_SERVER['SERVER_ADDR'] == '127.0.0.1') {
    // Entorno local
    define('BASE_URL', 'https://localhost/agrojam/');
} else {
    define('BASE_URL', 'https://agrojamsena.com/');
}
// Definir rutas para archivos


define('nosotros', BASE_URL . 'nosotros');
define('SERVICIOS', BASE_URL . 'tramites-y-servicios');
define('TESOROS', BASE_URL . 'tesoros');
define('VITRINA', BASE_URL . 'vitrina');
define('VITRINA_DETALLE', BASE_URL . 'vitrina-detalle');
define('RUTAS', BASE_URL . 'rutas');
define('RUTAS_DETALLE', BASE_URL . 'rutas-detalle');
define('contacto', BASE_URL . 'contacto');
define('NOTICIAS', BASE_URL . 'noticias');
define('NOTICIAS_DETALLE', BASE_URL . 'noticia');
define('NOTICIA', BASE_URL . 'noticia');
define('CALENDARIO', BASE_URL . 'calendario');
define('TESORO', BASE_URL . 'tesoro');
define('VITRINA_TESORO', BASE_URL . 'vitrina-tesoro');
define('HISTORIA', BASE_URL . 'historia');
define('TERMINOS', BASE_URL . 'terminos');
define('TRATAMIENTO_DE_DATOS', BASE_URL . 'tratamiento-de-datos');
define('DATOS_ABIERTOS', BASE_URL . 'datos-abiertos');
define('INFORMACION_DE_INTERES', BASE_URL . 'informacion-de-interes');
define('POLITICAS_DE_DERECHOS_DE_AUTOR_Y_USO', BASE_URL . 'politicas-de-derechos-de-autor-y-uso');
define('POLITICAS_DE_SEGURIDAD_DEL_SITIO_WEB', BASE_URL . 'politicas-de-seguridad-del-sitio-web');
define('PROTECCION_DE_DATOS', BASE_URL . 'proteccion-de-datos');
define('CONTROL', BASE_URL . 'control');
define('CRITERIO_DIFERENCIAL_DE_ACCESIBILIDAD', BASE_URL . 'criterio-diferencial-de-accesibilidad');
define('INSTRUMENTOS_DE_GESTION_DE_INFORMACION', BASE_URL . 'instrumentos-de-gestion-de-informacion');
define('TRANSPARENCIA_PASIVA', BASE_URL . 'transparecia-pasiva');

// Definir la ruta para la reserva
define('ENDPOINT_TOURNAMENT', BASE_URL . 'torneo/');
define('COMENTARIO', BASE_URL . 'comentario');
define('FORM_CONTACTO', BASE_URL . 'form_contacto');
define('MENSAJE', BASE_URL . 'mensaje');
define('PROMOCIONES', BASE_URL . 'promociones');
define('INFO_PRODUCTO', BASE_URL . 'info_producto');

// Redirigir a páginas en caso de error
define('ERROR_PAGE', BASE_URL . '404');

// Definir la ruta de la página principal (index.php)
define('HOME', BASE_URL . '');

